function [phi_1, phi_y] = calc_phi_etc(y,x,z,w,h,nb,lz,dz,thew)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Calculate phi_V for V={1,Y}


k_v = ftkernel2(w-thew,h);

density_w = mean(k_v);

E1_wz=Ea_wz(ones(length(z),1),z,nb,lz,dz);
Ex_wz=Ea_wz(x,z,nb,lz,dz);

E1k_wz=Ea_wz(ones(length(z),1).*k_v,z,nb,lz,dz);
Eyk_wz=Ea_wz(y.*k_v,z,nb,lz,dz);

dw=2*pi/(nb*dz);
dpi=-(dw*i*(Ex_wz - lz*E1_wz) - i*pi*E1_wz);

phi_0=zeros(nb,1);
phi_0(1)=1;
j=1;
while j <= nb/2
    phi_0(j+1)=fixphi(phi_0(j)*exp(int_ratio_l(dpi,E1_wz,j)));
    j=j+1;
end

phi_0(nb/2+1)=real(phi_0(nb/2+1));
j=nb;
while j > nb/2+1
    phi_0(j) = conj(phi_0(nb+2-j));
    j=j-1;
end

%phi_0=missrv(phi_0,0); %Changes missing value codes to specified values

notNaN = ~isnan(phi_0);
phi_0(~notNaN) = 0;



phi_1 = phi_0.*E1k_wz./(E1_wz.*density_w);
phi_y = phi_0.*Eyk_wz./(E1_wz.*density_w);
