function k2 = ftkernel2(u,v)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ftkernel2(u,v) --- flat-top kernel of infinite order

% if u==0
%     k2 = 3/(2*pi*v);
% else
%     k2 = v/(2*pi)*((sin(2*pi*u./v)).^2 - (sin(pi*u./v)).^2)./(pi^2.*u.^2);
% end

k2 = v/(2*pi)*((sin(2*pi*u./v)).^2 - (sin(pi*u./v)).^2)./(pi^2.*u.^2);

notNaN = ~isnan(k2);
k2(~notNaN) = 3/(2*pi*v); %Changes missing value codes to specified values
