function [f_x, mu, beta] = nlme(y,x,z,w,h1,h2,nb,lz,dz,thew)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% estimate (1)f_x|w, (2)mu, (3)beta
% (1) conditional density of X give W,
% (2) average counterfactual response at x given w
% (3) convariate-conditioned average marginal effect of X on Y at given w
% 



[cfkern, k] = kern(h1,nb,lz,dz);
[phi_1,phi_y] = calc_phi_etc(y,x,z,w,h2,nb,lz,dz,thew);

g_10 = real(ifft(phi_1.*cfkern));
g_11 = real(ifft(-1i.*(lz:dz:-lz)'.*phi_1.*cfkern));
g_y0 = real(ifft(phi_y.*cfkern));
g_y1 = real(ifft(-1i.*(lz:dz:-lz)'.*phi_y.*cfkern));

f_x = g_10; %f_x|w
mu = g_y0./g_10;
beta = g_y1./g_10 - g_y0.*g_11./(g_10.*g_10); 

